summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGreenRaccoon232017-04-06 13:01:47 -0500
committerGreenRaccoon232017-04-06 13:01:47 -0500
commit382c502d66950390f6c1336bf2fff4241ba0527a (patch)
tree77134daf30867273e13788437086d7c918260cb1
parentd3ad20a6f95fb2263028bcc44d856c1b2d087ab9 (diff)
downloadaur-382c502d66950390f6c1336bf2fff4241ba0527a.tar.gz
Troubleshooting message
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD2
-rw-r--r--dashcore.install43
3 files changed, 46 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 310755b41e3..ae52c2db6ee 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Fri Mar 31 22:03:49 UTC 2017
+# Thu Apr 6 18:01:47 UTC 2017
pkgbase = dashcore
pkgdesc = Dash Core (DASH, Dashpay, formerly Darkcoin) is an open source, privacy-centric digital currency. (Includes the qt-client, the headless daemon and the command-line tool.)
pkgver = 0.12.1.4
- pkgrel = 1
+ pkgrel = 2
url = https://www.dash.org/
arch = i686
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index a3a2e870770..17c603e1aa8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
pkgname='dashcore';
pkgver=0.12.1.4;
-pkgrel=1;
+pkgrel=2;
arch=('i686' 'x86_64');
url="https://www.dash.org/";
depends=('qt4' 'boost' 'boost-libs' 'miniupnpc' 'openssl' 'qrencode');
diff --git a/dashcore.install b/dashcore.install
new file mode 100644
index 00000000000..53d5f0c8e77
--- /dev/null
+++ b/dashcore.install
@@ -0,0 +1,43 @@
+post_upgrade() {
+ msg2 "If you see a 'No block source available' message in the bottom-left corner of the application, close the application, wait 30 seconds, then relaunch it from Terminal with the command `dash-qt -reindex &disown`";
+};
+
+_msg() {
+ _green "==> ";
+ _white "$@";
+ tput sgr 0;
+};
+
+_msg2() {
+ _blue " -> ";
+ _white "$@";
+ tput sgr 0;
+};
+
+_green() {
+ _color "2" "${1}";
+};
+
+_blue() {
+ _color "4" "${1}";
+};
+
+_white() {
+ _color "7";
+ for line; do
+ echo "${line}" ;
+ done ;
+};
+
+_color() {
+ tput bold;
+ tput setaf "${1}";
+
+ if ! [ "${2}" ]; then
+ return;
+ fi;
+
+ printf "%s" "${2}";
+};
+
+# vim: ts=2 sw=2 et: